(require 'gnus)

(define-key gnus-summary-mode-map [A-mouse-2] 'netscape-mouse-pick-article)

;gnus-id-to-header  gnus-number-to-header  gnus-read-header gnus-retrieve-headers
(defun netscape-mouse-pick-article (e)
  (interactive "e")
  (mouse-set-point e)
  (gnus-set-global-variables)
  (let ((url (concat "news:" (mail-header-id (gnus-number-to-header
					      (gnus-summary-article-number))))))
    (if url
        (progn
          (message "Open URL %s" url)
          (call-process "netscape" nil 0 nil "-remote"
                        (concat "openURL(" url ")")))
      (message "No message id found at point"))))

(provide 'gnus-netscape)
