(in-package "KEIM")

(setf env (env~create))
;(setf omega::omega*current-ndproof (prob~create 'x 'x env nil '(t)))

(post~read-object-list
 '((type-constants o i)
   (type-variables aa bb)
   (constants
    (= (o aa aa))
    (false o)
    (true o)
    (and (o o o))
    (or (o o o))
    (implies (o o o))
    (equiv (o o o))
    (not (o o))
    (forall (o (o aa)))
    (exists (o (o aa)))
    (subset (o (o aa) (o aa)))
    (superset (o (o aa) (o aa)))
    (union ((o aa) (o aa) (o aa)))
    (intersection ((o aa) (o aa) (o aa)))
    (image ((o aa) (o bb) (aa bb)))
    (defn (o aa aa))))
 env)

(post~read-object-list
 '((constants
    (animal (o i))
    (wolf (o i))
    (fox (o i))
    (bird (o i))
    (snail (o i))
    (plant (o i))
    (grain (o i)))
   (subsorts (wolf animal) (fox animal) (bird animal) (snail animal) (grain plant))
   (constants (eats (o i animal)) (smaller (o animal animal))))
 env)

(setf sr (term~read '(implies
		      (and (forall (lam (x snail) (forall (lam (y bird)
			      (smaller x y)))))
		      (and (forall (lam (x bird) (forall (lam (y fox)
			      (smaller x y)))))
		      (and (forall (lam (x fox) (forall (lam (y wolf)
			      (smaller x y)))))
		      (and (forall (lam (x wolf) (forall (lam (y fox)
			      (not (eats x y))))))
		      (and (forall (lam (x wolf) (forall (lam (y plant)
			      (not (eats x y))))))
		      (and (forall (lam (x bird) (forall (lam (y snail)
			      (not (eats x y))))))
		      (and (forall (lam (x snail) (forall (lam (y plant)
			      (eats x y)))))
			   (forall (lam (x animal) (forall (lam (y plant)
			      (or (eats x y)
				  (forall (lam (z animal)
				    (implies
				     (and (smaller z x)
					  (exists (lam (u plant) (eats z u))))
				     (eats x z))))))))))))))))
		      (exists (lam (x animal) (exists (lam (y animal) (exists (lam (z plant)
                         (and (eats x y) (eats y z)))))))))
			   env))

(setf cnf-sr (cnf~normalize sr env :negation t))

(post~read-object-list
 '((variables (a animal) (w wolf) (f fox) (b bird) (s snail) (p plant) (g grain)
	      (a1 animal) (w1 wolf) (f1 fox) (b1 bird) (s1 snail) (p1 plant) (g1 grain)))
 env)

(setf bird (env~lookup-object 'bird env))
(setf fox (env~lookup-object 'fox env))
(setf animal (env~lookup-object 'animal env))
(setf plant (env~lookup-object 'plant env))

(setf t1 (term~read '(eats b p) env))
(setf s1 (term~read '(eats a g) env))

(setf t2 (term~read '(eats b p) env))
(setf s2 (term~read '(eats f p) env))

(setf t3 (term~read '(eats a1 p) env))
(setf s3 (term~read '(eats a1 a) env))


(defun tap~unify (t1 t2)
  (let* ((term1 (top~insert-bindings! t1))
	 (term2 (top~insert-bindings! t2))
	 (unifier (keim::uni~unify-sort term1 term2)))
    (when unifier
      ;(top~bind-terms! (subst~codomain unifier) (subst~domain unifier))
      (format t"~% mgu(~A , ~A)   -> ~A ~%     [~A ; ~A]" term1 term2 unifier
	      (mapcar #'keim::sort~sort (subst~domain unifier))
	      (mapcar #'keim::sort~sort (subst~codomain unifier))))
    unifier))


