(in-package "KEIM")


(defun uni~up-multi-create (multi)
  (make-instance 'uni+unification-problem
		 :initial-problem multi :previous-solutions nil))

(defmethod post~print ((up uni+unification-problem) stream)
  (format stream "(up ~A)" (uni~initial-problem up)))

(defmethod print-object ((up uni+unification-problem) stream)
  ;(format stream "(~{~%  ~{~A~^ = ~}~^; ~})" (uni~initial-problem up))
  (format stream "(~{~%~{~48@A = ~A~}~^; ~})" (uni~initial-problem up)))


;;;;;


(defmethod term~copy ((up uni+unification-problem))
  (uni~up-multi-create (term~copy (uni~initial-problem up))))

(defmethod top~=free-variables ((up uni+unification-problem))
  (top~=free-variables (uni~initial-problem up)))

(defmethod termc~all-bound-variables ((up uni+unification-problem))
  (top~free-variables (uni~initial-problem up)))

(defmethod termc~ground-p ((up uni+unification-problem))
  (termc~ground-p (uni~initial-problem up)))

(defmethod term=linear-p ((up uni+unification-problem))
  (term=linear-p (uni~initial-problem up)))



(defmethod top~replace-terms ((up uni+unification-problem) old-terms new-terms
			      &key (test #'keim~equal))
  (uni~up-multi-create (top~replace-terms (uni~initial-problem up) old-terms new-terms
				:test test)))

(defmethod top=replace-free-variables-and-rename ((up uni+unification-problem) variables)
  (uni~up-multi-create (top=replace-free-variables-and-rename (uni~initial-problem up) variables)))


(defmethod term=unshared-p ((up uni+unification-problem))
  (term=unshared-p (uni~initial-problem up))) 


