(in-package "KEIM")

(setf cpcb*bcktrck-counter 0)

(setf exuqsl2*env (env~create))

(post~read-object-list '((type-constants i)
			 (constants (a i) (b i)
			            (a_q i) (a_k i) (a_l i) (a_e i) (a_f i)
			            (a0 i) (b0 i)
			            (a1 i) (b1 i)
			            (a_A i) (a_B i) (a_0 i) (a_1 i)
			            (inv (i i)) (n (i i)) (p (i i))
			            (s (i i i)) (dot (i i i))
			            (h (i i i i)))
			 (variables (x i) (y i) (z i) (u i) (v i) (w i)
				    (x1 i) (x2 i) (x3 i) (x4 i) (x5 i) (x6 i)
				    (y1 i) (y2 i) (y3 i) (y4 i) (y5 i) (y6 i)
				    (v_0 i) (v_1 i) (v_2 i) (v_3 i))
			 (signatures (ac (+ (i i i))) (ac (* (i i i)))))
		       exuqsl2*env)


(defun cb==test (&rest args)
  (let* ((stream *standard-output*)
	 ;(*standard-output* my-stream)
	 )
    (format stream "~%~A: ~A   " (incf counter) args)
    (let ((result
	   (do* ((arg-tail args (rest (rest arg-tail)))
		 (term1 (term~copy (term~read (first arg-tail) exuqsl2*env))
			(term~copy (term~read (first arg-tail) exuqsl2*env)))
		 (term2 (term~copy (term~read (second arg-tail) exuqsl2*env))
			(term~copy (term~read (second arg-tail) exuqsl2*env)))
		 (tl1 (list term1) (cons term1 tl1))
		 (tl2 (list term2) (cons term2 tl2)))
		((null (rest (rest (rest arg-tail))))
		 (cpcb~decide-unify #+weg cb~decide-unify
				    tl1 tl2))))
	  (wwert (first (last args))))
      (declare (special *standard-output*))
      ;(get-output-stream-string my-stream)
      (cond ((eq (null result) (null wwert))
	     (format stream "OK"))
	    (t
	     (format stream "*** must be ~A ***" wwert))))))


(setf counter 0)
(setf my-stream (make-string-output-stream))


(time (progn
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a)
			(s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))
		     (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a))
			(s (p (+ a_q (n (p a_q))))
			   (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a))
			      (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))
		     (+ (dot (dot (dot (n a_e) a_k) a_k) a_a)
			(s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q))
			   (dot (dot (dot a_k a_k) a_e) a_a)))))
	   (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (n x1)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (n (+ x1 x2))) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (n (n x1))) (QUOTE  (n (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (n x1)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (dot x1 a_1)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot a_1 x1)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot a_k a_l)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot a_l a_k)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot (+ x1 x2) x3)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ (dot x1 x2) (dot (n x1) x2)))
	   (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a)
			 (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))
		      (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a))
			 (s (p (+ a_q (n (p a_q))))
			    (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a))
			       (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))
		      (+ (dot (dot (dot (n a_e) a_k) a_k) a_a)
			 (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q))
			    (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE a_0) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 a_1)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot a_1 x1)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (dot a_k a_l)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot a_l a_k)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot (+ x1 x2) x3)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (dot x1 (+ x2 x3))) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ (dot x1 x2) (dot x1 (n x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE a_0) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (+ x2 x3))) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (s a_0 x1)) (QUOTE  (s (+ y1 y3) y2))  NIL ) 
(cb==test  (QUOTE (s a_1 x1)) (QUOTE  (s (+ y1 y3) y2))  NIL ) 
(cb==test  (QUOTE (s (+ x1 x3) x2)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ y1 (n y1)))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ (+ y1 y2) (n y1)))  T ) 
(cb==test  (QUOTE (+ (s x1 x2) (s (n x1) x2))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE a_0) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot a_k a_e)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot a_k a_e)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* a_q (p a_q)))  T ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* (* a_q y1) (p a_q)))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* a_0 y1))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* (* a_0 y1) y2))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* a_1 y1))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (n a_1)) (QUOTE  (n (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (dot (n a_1) x1)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot (n a_1) x1)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (n a_1)) (QUOTE  (n (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (dot x1 (n a_1))) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x1 (n a_1))) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* a_0 x1)) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* (* a_0 x1) x2)) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* a_1 x1)) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* x1 (+ x2 x3))) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* (* x1 x4) (+ x2 x3))) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* y1 (n y2)))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* a_q (p a_q))) (QUOTE  (* (* y1 y3) (n y2)))  NIL ) 
(cb==test  (QUOTE (* (* a_q x1) (p a_q))) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* y1 (n y2)))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* (* y1 y3) (n y2)))  T ) 
(cb==test  (QUOTE (n x2)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (n x2)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* a_0 y1))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* (* a_0 y1) y2))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* a_1 y1))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* (* y1 y4) (+ y2 y3)))  T ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE (* x1 (n x2))) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (* (* x1 x3) (n x2))) (QUOTE  (* (* a_q y1) (p a_q)))  T ) 
(cb==test  (QUOTE (s x1 (s x2 x3))) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (s x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (s (* x1 x4) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (dot x2 x3))) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x2 x3)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x1 (dot x2 x3))) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot x2 x3)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (dot x1 (s (* a_q a_q) (dot a_e a_k)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 a_k) a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (s (* a_q a_q) (dot a_e a_k)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 a_k) a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (s (* x2 x3) (dot x4 x5)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 (s x2 x4)) (s x3 x5))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (s (* x2 x3) (dot x4 x5)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 (s x2 x4)) (s x3 x5))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot x1 (s (* x2 x3) (dot x4 x5)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 (s x2 x4)) (s x3 x5))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (s x1 x2) (s x3 x4))) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot (s x1 x2) (s x3 x4))) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (s x1 x2)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x3 x4)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_e)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* a_q a_q) (dot (dot x1 a_e) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_e)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* a_q a_q) (dot (dot x1 a_e) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_e)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* a_q a_q) (dot (dot x1 a_e) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s a_0 x1)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s a_1 x1)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (+ x1 x3) x2)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s x1 (s x2 x3))) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE (s x1 (dot a_k a_f))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (dot a_k a_f))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (dot a_k a_f))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (dot a_k a_f))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (QUOTE  (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (QUOTE  (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (QUOTE  (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (QUOTE  (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))) (QUOTE  (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s (* (p a_q) (p a_q)) (dot a_f a_k))) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* a_0 y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* (* a_0 y1) y2))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* a_1 y1))  NIL ) 
(cb==test  (QUOTE (dot a_f a_k)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot a_f a_k)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* (* y1 y4) (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (s (* (p a_q) (p a_q)) (dot a_f a_k))) (QUOTE  (s (+ y1 y3) y2))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* a_q (p a_q)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* (* a_q y1) (p a_q)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* y1 (n y2)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (p a_q)) 
           (QUOTE (* v_0 v_0)) (QUOTE  (* (* y1 y3) (n y2)))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ (dot a_e a_f) (n (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot a_f a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ (dot a_e a_f) (n (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot a_f a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ (dot a_e a_f) (n (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot a_f a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ (dot a_e a_f) (n (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot a_f a_e)) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot a_e a_f) (n (dot a_f a_e)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot a_e a_f) (n (dot a_f a_e)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot a_e a_f) (n (dot a_f a_e)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot a_e a_f) (n (dot a_f a_e)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (dot (dot a_e a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot a_f a_e) x1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) x1) (n (dot (dot a_l a_l) x1)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_e a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot a_f a_e) x1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) x1) (n (dot (dot a_l a_l) x1)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_e a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot a_f a_e) x1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) x1) (n (dot (dot a_l a_l) x1)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_e a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot a_f a_e) x1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) x1) (n (dot (dot a_l a_l) x1)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (dot (dot a_f a_e) y1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (dot (dot a_f a_e) y1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (dot (dot a_f a_e) y1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (dot (dot a_f a_e) y1) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (+ y2 (dot (dot a_f a_e) y1)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) y1) (n (dot (dot a_l a_l) y1))))))  NIL ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 a_e) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot x1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot x1 a_k) a_k) (n (dot (dot x1 a_l) a_l)))))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_e) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot x1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot x1 a_k) a_k) (n (dot (dot x1 a_l) a_l)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_e) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot x1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot x1 a_k) a_k) (n (dot (dot x1 a_l) a_l)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_e) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot x1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot x1 a_k) a_k) (n (dot (dot x1 a_l) a_l)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_e) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (dot (dot x1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot x1 a_k) a_k) (n (dot (dot x1 a_l) a_l)))))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (dot (dot y1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (dot (dot y1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (dot (dot y1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (dot (dot y1 a_f) a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (+ y2 (dot (dot y1 a_f) a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot y1 a_k) a_k) (n (dot (dot y1 a_l) a_l))))))  NIL ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l)))))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot a_k a_k) (n (dot a_l a_l)))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (+ x1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l)))))) (QUOTE  (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot a_f a_e) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l)))))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (dot a_k a_k) (n (dot a_l a_l)))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  NIL ) 
(cb==test  (QUOTE (+ (+ x1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l)))))) (QUOTE  (+ (+ y1 (dot a_f a_e)) (s (p (+ a_q (n (p a_q)))) (+ (dot a_k a_k) (n (dot a_l a_l))))))  T ) 
(cb==test  (QUOTE (n a_0)) (QUOTE  (n (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (dot a_0 x1)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot a_0 x1)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (dot x1 a_0)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x1 a_0)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (s x1 a_0)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x1 a_0)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  NIL ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  NIL ) 
(cb==test  (QUOTE (+ x1 (n x1))) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (n x1))) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x2 x3)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ x1 x3)) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ (s x1 x2) (s (n x1) x2))) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (+ (+ x3 (s x1 x2)) (s (n x1) x2))) (QUOTE  (+ (s y1 y2) (s (n y1) y2)))  NIL ) 
(cb==test  (QUOTE (+ (s x1 x2) (s (n x1) x2))) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  NIL ) 
(cb==test  (QUOTE (+ (+ x3 (s x1 x2)) (s (n x1) x2))) (QUOTE  (+ (+ y3 (s y1 y2)) (s (n y1) y2)))  T ) 
(cb==test  (QUOTE (n x1)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (dot (n x1) x2)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot (n x1) x2)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (n x2)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (dot x1 (n x2))) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x1 (n x2))) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (n (s x2 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (n (s (* x1 x2) x3))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (n (s x2 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (n (s (* x1 x2) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (n (s x2 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (n (s (* x1 x2) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (n (s x2 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (n (s (* x1 x2) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (n (s x2 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (n (s (* x1 x2) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (n x1)) (QUOTE  (n (+ y1 y2)))  T ) 
(cb==test  (QUOTE (s (n x1) x2)) (QUOTE  (s (+ y1 y3) y2))  NIL ) 
(cb==test  (QUOTE (s (n x1) x2)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_l)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot x1 a_k)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_l)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot x1 a_k)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_l) a_k)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot x1 a_l)) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot (dot x1 a_l) a_k)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (dot x1 a_l)) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (s a_0 x1)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s a_1 x1)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s (+ x1 x3) x2)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s x1 (s x2 x3))) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  NIL ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s (* (p a_q) (p a_q)) (dot a_f a_k))) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  NIL ) 
(cb==test  (QUOTE (s x1 a_0)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  NIL ) 
(cb==test  (QUOTE (s (n x1) x2)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (s x4 x3)))) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE (s x4 x3)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (+ (+ (s (* x2 x3) x4) (s (* x2 x5) x4)) (s (* x3 x6) x4)) (s (* x5 x6) x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (+ (+ (s (* (* x1 x2) x3) x4) (s (* (* x1 x2) x5) x4)) (s (* (* x1 x3) x6) x4)) (s (* (* x1 x5) x6) x4))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (+ (s (* x2 x3) x4) (s (* x2 x5) x4)) (s (* x3 x6) x4)) (s (* x5 x6) x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (+ (s (* (* x1 x2) x3) x4) (s (* (* x1 x2) x5) x4)) (s (* (* x1 x3) x6) x4)) (s (* (* x1 x5) x6) x4))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (+ (s (* x2 x3) x4) (s (* x2 x5) x4)) (s (* x3 x6) x4)) (s (* x5 x6) x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (+ (s (* (* x1 x2) x3) x4) (s (* (* x1 x2) x5) x4)) (s (* (* x1 x3) x6) x4)) (s (* (* x1 x5) x6) x4))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (+ (s (* x2 x3) x4) (s (* x2 x5) x4)) (s (* x3 x6) x4)) (s (* x5 x6) x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (+ (s (* (* x1 x2) x3) x4) (s (* (* x1 x2) x5) x4)) (s (* (* x1 x3) x6) x4)) (s (* (* x1 x5) x6) x4))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (+ (s (* x2 x3) x4) (s (* x2 x5) x4)) (s (* x3 x6) x4)) (s (* x5 x6) x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (+ (s (* (* x1 x2) x3) x4) (s (* (* x1 x2) x5) x4)) (s (* (* x1 x3) x6) x4)) (s (* (* x1 x5) x6) x4))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (+ (s x2 x3) (s x4 x3))) (QUOTE  (+ a_0 y1))  NIL ) 
(cb==test  (QUOTE (+ (s x2 x3) (s x4 x3))) (QUOTE  (+ y1 (n y1)))  NIL ) 
(cb==test  (QUOTE (+ (s x2 x3) (s x4 x3))) (QUOTE  (+ (+ y1 y2) (n y1)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ x2 (s x3 x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s x1 x2) (s (* x1 x3) x2))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ x2 (s x3 x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 x2) (s (* x1 x3) x2))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ x2 (s x3 x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 x2) (s (* x1 x3) x2))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ x2 (s x3 x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 x2) (s (* x1 x3) x2))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ x2 (s x3 x2)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 x2) (s (* x1 x3) x2))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (s x4 x3)))) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x4 x3)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (+ (s x2 x3) (s x4 x3)) (s x5 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (+ (s (* x1 x2) x3) (s (* x1 x4) x3)) (s (* x1 x5) x3))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (s x2 x3) (s x4 x3)) (s x5 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (s (* x1 x2) x3) (s (* x1 x4) x3)) (s (* x1 x5) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (s x2 x3) (s x4 x3)) (s x5 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (s (* x1 x2) x3) (s (* x1 x4) x3)) (s (* x1 x5) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (s x2 x3) (s x4 x3)) (s x5 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (s (* x1 x2) x3) (s (* x1 x4) x3)) (s (* x1 x5) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (+ (s x2 x3) (s x4 x3)) (s x5 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (+ (s (* x1 x2) x3) (s (* x1 x4) x3)) (s (* x1 x5) x3))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (s x4 x3)))) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  NIL ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE (s x4 x3)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (dot a_k a_f) (s x2 (dot a_f a_k))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) (dot a_f a_k)) (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot a_k a_f) (s x2 (dot a_f a_k))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) (dot a_f a_k)) (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot a_k a_f) (s x2 (dot a_f a_k))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) (dot a_f a_k)) (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot a_k a_f) (s x2 (dot a_f a_k))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) (dot a_f a_k)) (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot a_k a_f) (s x2 (dot a_f a_k))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) (dot a_f a_k)) (s (* (* x1 (p a_q)) (p a_q)) (dot a_f a_k)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (QUOTE  (s y1 (+ (dot a_k a_f) (s y2 (dot a_f a_k)))))  NIL ) 
(cb==test  (QUOTE (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (QUOTE  (s y1 (+ (dot a_k a_f) (s y2 (dot a_f a_k)))))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (QUOTE  (s y1 (+ (dot a_k a_f) (s y2 (dot a_f a_k)))))  NIL ) 
(cb==test  (QUOTE (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))) (QUOTE  (s y1 (+ (dot a_k a_f) (s y2 (dot a_f a_k)))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (s (* y1 y2) (dot a_f a_k)) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a))))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (s (* y1 y2) (dot a_f a_k)) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (s (* y1 y2) (dot a_f a_k)) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (s (* y1 y2) (dot a_f a_k)) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ a_q (n (p a_q)))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a)))) (QUOTE  (+ (+ y3 (s (* y1 y2) (dot a_f a_k))) (s (* (* y1 (p a_q)) (p a_q)) (dot a_f a_k))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (s x2 x3) (n (s x4 x3))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (n (s (* x1 x4) x3)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (n (s x4 x3))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (n (s (* x1 x4) x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (n (s x4 x3))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (n (s (* x1 x4) x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (n (s x4 x3))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (n (s (* x1 x4) x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (s x2 x3) (n (s x4 x3))))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s (* x1 x2) x3) (n (s (* x1 x4) x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (dot x2 x3) (dot x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x4 x3)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x4 x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x4 x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x4 x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x4 x3)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x4 x3)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (dot x1 (s x2 x3))) (QUOTE  (dot (+ y1 y2) y3))  T ) 
(cb==test  (QUOTE (dot x1 (s x2 x3))) (QUOTE  (dot y1 (+ y2 y3)))  NIL ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot x1 a_k) a_f)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot x1 a_f) a_k))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* a_q a_q) (dot (dot (dot a_k a_f) a_k) a_a)))) v_0 v_0)) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s (* a_q a_q) (dot (dot (dot a_k a_f) a_k) a_a))) (QUOTE  (s (* (p a_q) (p a_q)) (dot (dot y1 a_f) a_k)))  NIL ) 
(cb==test  (QUOTE (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (QUOTE  (s (* (p a_q) (p a_q)) (dot (dot y1 a_f) a_k)))  NIL ) 
(cb==test  (QUOTE (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (QUOTE  (s (* (p a_q) (p a_q)) (dot (dot y1 a_f) a_k)))  NIL ) 
(cb==test  (QUOTE (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))) (QUOTE  (s (* (p a_q) (p a_q)) (dot (dot y1 a_f) a_k)))  NIL ) 
(cb==test  (QUOTE (s x2 x3)) (QUOTE  (s y1 (+ (s y2 y3) (s y4 y3))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* a_q a_q) (dot (dot (dot a_k a_f) a_k) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a))) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (s x1 (+ (dot x2 x3) (dot x2 x4)))) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a))) (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a)) (s (p (+ a_q (n (p a_q)))) (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a)) (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a)))) (+ (dot (dot (dot (n a_e) a_k) a_k) a_a) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (+ (s x1 (dot x2 x3)) (s x1 (dot x2 x4)))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (s x1 x2) x3)) (QUOTE  (dot (+ y1 y2) y3))  NIL ) 
(cb==test  (QUOTE (dot (s x1 x2) x3)) (QUOTE  (dot y1 (+ y2 y3)))  T ) 
(cb==test  (QUOTE (s x1 x2)) (QUOTE  (s (+ y1 y3) y2))  T ) 
(cb==test  (QUOTE (s x1 x2)) (QUOTE  (s (* (p a_q) (p a_q)) (dot a_f a_k)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot a_k a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* a_q a_q) (dot (dot (dot a_k a_f) a_k) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot a_k a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (n (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (dot (dot a_k a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) v_0 v_0)) 
           (QUOTE v_1) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_1 v_1 v_1))  NIL ) 
(cb==test  (QUOTE (dot (dot a_k a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) a_0)) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_k a_f) x1)) (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a) (s (* (* (* a_q a_q) a_q) a_q) (n (dot (dot (dot a_k a_k) a_f) a_a)))) (+ (+ (dot (dot a_f a_e) a_a) (n (dot (dot a_e a_f) a_a))) (s (p (+ a_q (n (p a_q)))) (+ (dot (dot a_k a_k) a_a) (n (dot (dot a_l a_l) a_a))))) (+ (n (dot (dot (dot a_e a_k) a_k) a_a)) (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q)) (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_k a_f) x1))
	   (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a)
			 (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))
		      (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a))
			 (s (p (+ a_q (n (p a_q))))
			    (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (n (dot (dot a_l a_l) a_a)))
			       (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))
		      (+ (n (dot (dot (dot a_e a_k) a_k) a_a))
			 (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q))
			    (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
(cb==test  (QUOTE (dot (dot a_k a_f) x1))
	   (QUOTE  (H (+ (dot (dot (dot a_f a_k) a_k) a_a)
			 (s (* (* (* a_q a_q) a_q) a_q) (dot (dot (dot a_k a_k) (n a_f)) a_a)))
		      (+ (+ (dot (dot a_f a_e) a_a) (dot (dot a_e (n a_f)) a_a))
			 (s (p (+ a_q (n (p a_q))))
			    (+ (+ (+ (n a_a) (dot (dot a_k a_k) a_a)) (dot (n (dot a_l a_l)) a_a))
			       (dot (dot (dot (dot a_l a_l) a_k) a_k) a_a))))
		      (+ (dot (dot (dot (n a_e) a_k) a_k) a_a)
			 (s (* (* (* (p a_q) (p a_q)) (p a_q)) (p a_q))
			    (dot (dot (dot a_k a_k) a_e) a_a))))) 
           (QUOTE v_0) (QUOTE  a_0) 
           (QUOTE (s (* (p a_q) (p a_q)) (dot (dot a_f a_k) x1))) (QUOTE  (H v_0 v_0 v_0))  NIL ) 
))

(format t "~%Number of Backtrackings: ~A" cpcb*bcktrck-counter)
