(in-package "KEIM")

(setf exgrobner*env (env~create))

(setf cpcb*bcktrck-counter 0)

(post~read-object-list '((type-constants i)
			 (constants (a i) (b i)
			            (q i) (k i) (l i) (e i) (f i)
			            (a0 i) (b0 i)
			            (a1 i) (b1 i)
			            (a_A i) (a_B i) (a_C i) (a_0 i) (a_1 i)
			            (a_Cx i) (a_Cy i) (a_Cz i) 
			            (inv (i i)) (n (i i)) (p (i i)) (g (i i)) (* (i i i))
			            (s (i i i)) (dot (i i i)))
			 (variables (x i) (y i) (z i) (u i) (v i) (w i)
				    (x1 i) (x2 i) (x3 i) (x4 i) (x5 i) (x6 i)
				    (y1 i) (y2 i) (y3 i) (y4 i) (y5 i) (y6 i)
				    (v_0 i) (v_1 i) (v_2 i) (v_3 i))
			 (signatures (ac (+ (i i i)))))
		       exgrobner*env)


(defun cb==test (&rest args)
  (let* ((stream *standard-output*)
	 ;(*standard-output* my-stream)
	 )
    (format stream "~%~A: ~A   " (incf counter) args)
    (let ((result
	   (do* ((arg-tail args (rest (rest arg-tail)))
		 (term1 (term~copy (term~read (first arg-tail) exgrobner*env))
			(term~copy (term~read (first arg-tail) exgrobner*env)))
		 (term2 (term~copy (term~read (second arg-tail) exgrobner*env))
			(term~copy (term~read (second arg-tail) exgrobner*env)))
		 (tl1 (list term1) (cons term1 tl1))
		 (tl2 (list term2) (cons term2 tl2)))
		((null (rest (rest (rest arg-tail))))
		 (cpcb~decide-unify #+weg cb~decide-unify
				    tl1 tl2))))
	  (wwert (first (last args))))
      (declare (special *standard-output*))
      ;(get-output-stream-string my-stream)
      (cond ((eq (null result) (null wwert))
	     (format stream "OK"))
	    (t
	     (format stream "*** must be ~A ***" wwert))))))


(setf counter 0)
(setf my-stream (make-string-output-stream))


(time (progn
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ y1 y2) (inv y1)))  T ) 
(cb==test  (QUOTE (+ x1 (inv x1))) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1)))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1)))  T ) 
(cb==test  (QUOTE (+ x1 (inv x1))) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ v_0 v_0) a_C) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ v_0 v_0) a_C) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ v_0 v_0) a_C) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ v_0 v_0) a_C) y1) (inv (+ (+ a_B a_B) a_B))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ v_0 v_0) a_C) (inv (+ (+ a_B a_B) a_B)))) (QUOTE  (+ (+ (+ v_1 v_1) a_C) (inv (+ (+ a_B a_B) a_B))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ (+ v_1 v_1) a_C) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ v_0 v_0) a_C) x1) (inv (+ (+ a_B a_B) a_B)))) (QUOTE  (+ (+ (+ v_1 v_1) a_C) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ v_0 v_0) a_C) (inv (+ (+ a_B a_B) a_B)))) (QUOTE  (+ (+ (+ (+ v_1 v_1) a_C) y1) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ v_0 v_0) a_C) x1) (inv (+ (+ a_B a_B) a_B)))) (QUOTE  (+ (+ (+ (+ v_1 v_1) a_C) y1) (inv (+ (+ a_B a_B) a_B))))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ (+ (+ v_1 v_1) a_C) y1) (inv (+ (+ a_B a_B) a_B))))  NIL ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ y2 (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x1 (inv x1))) (QUOTE  (+ y2 (inv (+ y1 y2))))  NIL ) 
(cb==test  (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y2 (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x2 (inv (+ x1 x2)))) (QUOTE  (+ y2 (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ y2 (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ (+ x2 x3) (inv (+ x1 x2)))) (QUOTE  (+ y2 (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x2 (inv (+ x1 x2)))) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (+ (+ x2 x3) (inv (+ x1 x2)))) (QUOTE  (+ (+ y2 y3) (inv (+ y1 y2))))  T ) 
(cb==test  (QUOTE (inv x1)) (QUOTE  (inv (+ y1 y2)))  T ) 
(cb==test  (QUOTE (inv a_0)) (QUOTE  (inv (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (inv (inv x1))) (QUOTE  (inv (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE (inv x1)) (QUOTE  (inv (+ y1 y2)))  T ) 
(cb==test  (QUOTE (inv (+ x1 x2))) (QUOTE  (inv (+ y1 y2)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (inv y1)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_1) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_1) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) y1) v_1) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_1) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  (inv a_B)) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_1) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_2) v_2) v_2) v_3) v_3) v_3) v_3))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  (inv a_B)) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) x1) v_1) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_2) v_2) v_2) v_3) v_3) v_3) v_3))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  (inv a_B)) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_1) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_2) v_2) v_2) y1) v_3) v_3) v_3) v_3))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  (inv a_B)) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  (inv a_B)) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) x1) v_1) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_2) v_2) v_2) y1) v_3) v_3) v_3) v_3))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) x1) (inv a_B))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) (inv a_B)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) (inv a_B)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) (inv a_B))) (QUOTE  (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) x1) (inv a_B))) (QUOTE  (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) (inv a_B)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) (inv a_B))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) y1) (inv a_B)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) x1) (inv a_B))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) y1) (inv a_B)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1) y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ v_2 v_2) v_2) v_3) v_3) v_3))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1) x1)) (QUOTE  (+ (+ (+ (+ (+ v_2 v_2) v_2) v_3) v_3) v_3))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1)) (QUOTE  (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_3) v_3) v_3) y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE v_2) (QUOTE  a_A) 
           (QUOTE v_3) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_1) v_1) v_1) x1)) (QUOTE  (+ (+ (+ (+ (+ (+ v_2 v_2) v_2) v_3) v_3) v_3) y1))  T ) 
(cb==test  (QUOTE (inv a_B)) (QUOTE  (inv (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ v_0 v_0) v_0) y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ v_0 v_0) v_0))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ v_1 v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ (+ v_1 v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ (+ v_1 v_1) v_1) y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ (+ (+ v_1 v_1) v_1) y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ a_0 y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ y1 (inv y1)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ y1 y2) (inv y1)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ (+ y1 y2) (inv y1)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ a_B v_0) v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ a_B v_0) v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ a_B v_0) v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ a_B y1) v_0) v_0) v_0))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ a_B v_0) v_0) v_0))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ (+ a_B v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ (+ (+ a_B v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_B) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ v_0 v_0) v_0) x1)) (QUOTE  (+ (+ (+ (+ a_B y1) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ a_B v_0) v_0) v_0)) (QUOTE  (+ (+ (+ a_B v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ (+ a_B x1) v_0) v_0) v_0)) (QUOTE  (+ (+ (+ a_B v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ a_B v_0) v_0) v_0)) (QUOTE  (+ (+ (+ (+ a_B y1) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ (+ a_B x1) v_0) v_0) v_0)) (QUOTE  (+ (+ (+ (+ a_B y1) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ v_0 v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ y1 v_0) v_0) v_0))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ v_0 v_0) v_0))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ v_1 v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ x1 v_0) v_0) v_0)) (QUOTE  (+ (+ v_1 v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ v_0 v_0) v_0)) (QUOTE  (+ (+ (+ y1 v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  (inv a_A)) 
           (QUOTE v_1) (QUOTE  (inv a_A)) 
           (QUOTE (+ (+ (+ x1 v_0) v_0) v_0)) (QUOTE  (+ (+ (+ y1 v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE (inv a_A)) (QUOTE  (inv (+ y1 y2)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ a_0 x1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) y1))  t ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0))  t ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) x1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE v_1) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) x1)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_1 v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) v_1) y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0)) (QUOTE  (+ a_0 y1))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) x1)) (QUOTE  (+ a_0 y1))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0)) (QUOTE  (+ y1 (inv y1)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) x1)) (QUOTE  (+ y1 (inv y1)))  T ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0)) (QUOTE  (+ (+ y1 y2) (inv y1)))  NIL ) 
(cb==test  (QUOTE v_0) (QUOTE  a_A) 
           (QUOTE (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ (+ v_0 v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) v_0) x1)) (QUOTE  (+ (+ y1 y2) (inv y1)))  t ) 
))

(format t "~%Number of Backtrackings: ~A" cpcb*bcktrck-counter)
