(in-package "KEIM")

(setf random*env (env~create))

(post~read-object-list
 '((type-constants i)
   (constants (f1 (i i))
    (a i) (b i) (c i) (d i)
    (a1 i) (a2 i) (a3 i)
    (b1 i) (b2 i) (b3 i)
    ;; (null i) (eins i)
    ;; (+ (i i i)) (* (i i i))
    (p1 (i i i)) (p2 (i i i)) ;; (p3 (i i i))
    (m1 (i i i)) (m2 (i i i)) (m3 (i i i))
    (l1 (i i i)) (l2 (i i i)) ;; (l3 (i i i))
    (f2 (i i)) (f3 (i i))
    (g1 (i i i)) (g2 (i i i)) ;; (g3 (i i i))
    )
   (variables (x i) (y i) (z i)
    (x-1 i) (x-2 i) (x-3 i) (x-4 i) (x-5 i) (x-6 i) (x-7 i) (x-8 i)
    (x-11 i) (x-12 i) (x-13 i) (x-14 i) (x-15 i) (x-16 i) (x-17 i) (x-18 i)
    (y-1 i) (y-2 i) (y-3 i) (z-1 i) (z-2 i) (z-3 i)
    (u i) (v i) (w i))
   (signatures
    ;; (br (+ (i i i)) (* (i i i)) (null i) (eins i))
    (ac (p1 (i i i))) (ac (p2 (i i i)))   ;; (ac (p3 (i i i)))
    (aci (m1 (i i i))) (aci (m2 (i i i))) (aci (m3 (i i i)))
    (a (l1 (i i i))) (a (l2 (i i i)))  ;; (a (l3 (i i i)))
    ))
 random*env)


;;; output a * for every backtracking step 
(defun cpcb==trace-backtracking (up result)
  (declare (ignore up result))
  (format t "*")
  (incf cpcb*bcktrck-counter))


(defun genex=test (lhs rhs)
  (declare (special counter unifiable-counter random*env))
  (let* ((ausgabe *standard-output*))
    (format ausgabe "~%~A: ~A ~A: " (incf counter) lhs rhs)
    (if (cpcb~decide-unify (list (term~read lhs random*env))
			   (list (term~read rhs random*env)))
	(progn
	  (incf unifiable-counter)
	  (format ausgabe " +"))
	(format ausgabe " -"))))

