(in-package "COMMON-LISP-USER")

(defvar *unimok-files*)

(setf *unimok-files*
      '("/usr/local/unimok/prog/smallkeim/skeim"
	"/usr/local/unimok/prog/theories/th"
	"/usr/local/unimok/prog/theories/feature-th"
	"/usr/local/unimok/prog/comb/unicp"
	"/usr/local/unimok/prog/comb/misc"
	"/usr/local/unimok/prog/comb/order"
	"/usr/local/unimok/prog/comb/cpcb"
	"/usr/local/unimok/prog/free/cpfree"
	"/usr/local/unimok/prog/a/a"
	"/usr/local/unimok/prog/a/cpa"
	"/usr/local/unimok/prog/diophant/adv-domen"
	"/usr/local/unimok/prog/ac/cpac"
	"/usr/local/unimok/prog/aci/cpaci"
	"/usr/local/unimok/prog/features/cpfeat"
	))

(setf *unimok-examples*
      '("/usr/local/unimok/examples/comb/comb.lisp"
	"/usr/local/unimok/examples/a/a.lisp"
	"/usr/local/unimok/examples/ac/ac.lisp"
	"/usr/local/unimok/examples/aci/aci.lisp"
	"/usr/local/unimok/examples/features/features.lisp"
	"/usr/local/unimok/examples/reveal/3exboolston.lisp"
	"/usr/local/unimok/examples/reveal/abel-gruppe.lisp"
	"/usr/local/unimok/examples/reveal/bool-algebra.lisp"
	"/usr/local/unimok/examples/reveal/bool-ring.lisp"
	"/usr/local/unimok/examples/reveal/exboolston.lisp"
	"/usr/local/unimok/examples/reveal/exboth.lisp"
	"/usr/local/unimok/examples/reveal/exgrobner.lisp"
	"/usr/local/unimok/examples/reveal/exkill.lisp"
	"/usr/local/unimok/examples/reveal/exmidlaw.lisp"
	"/usr/local/unimok/examples/reveal/exmoufang.lisp"
	"/usr/local/unimok/examples/reveal/exuqsl2.lisp"
	"/usr/local/unimok/examples/reveal/grpfini30.lisp"
	))


(defun unimok-compile ()
  (dolist (file *unimok-files*)
    (compile-file file)
    (load file)))


(defun unimok-load ()
  (dolist (file *unimok-files*)
    (load file)))

(defun unimok-test ()
  (dolist (file *unimok-examples*)
    (load file)))
