(in-package :ags)


(progn
(shadow "DEFGENERIC" (find-package :ags))
(export 'ags::DEFGENERIC (find-package :ags))
(defmacro defgeneric (funname arglist &rest restargs)
  (let ((methods (remove :method restargs :key #'car :test-not #'eq))
	(others  (remove  :method restargs :key #'car)))
    `(progn
       (common-lisp::defgeneric ,funname ,arglist ,@others)
       ,@(mapcar #'(lambda (meth)
		     (cons 'common-lisp::defmethod (cons funname (cdr meth))))
		 methods)))))

  #+:cmu17c
  (defmethod change-class ((object standard-object) (class standard-class))
    (funcall #'change-class object (class-name class)))
  #+:cmu17c
  (defmethod make-instance ((class standard-class) &rest initargs)
    (apply #'make-instance (class-name class) initargs))

