;;; -*-Emacs-Lisp-*-
;;; Rcs_Info: ilisp-clim.el  
;;; by richts@cantor.informatik.rwth-aachen.de  at Mon Sep 12 18:17:45 1994
;;;
;;; ILISP Clim Common Lisp dialect definition
;;;



;;;%%%Clim
(defvar ilisp-clim-init-file "clim.lisp")




;;;
(defdialect clim "Clim Common LISP"
  lucid
  ;(ilisp-load-init 'clim ilisp-clim-init-file)
  )

(if (not clim-program) (setq clim-program "clim"))

(defdialect clim-keim "Clim Common LISP"
  lucid
  ;(ilisp-load-init 'clim ilisp-clim-init-file)
  )


(defun man-clim (symbol)
  "Run the UN*X man programm for the currently looked at function.
With a negative prefix, the symbol will be prompted for.  Actually
only the CLIM functions are documented in a man directory."
  (interactive
   (let* ((function (car (lisp-previous-symbol))))
     (list (if current-prefix-arg
	       (ilisp-read-symbol
		(format "Arglist [%s]: " (lisp-buffer-symbol function))
		function nil)
	       function))))
  (if (null symbol)
      (error "No symbol")
    (let ((manual-program "man -M /opt/lucid-4.2/clim/man"))
      (man (lisp-buffer-symbol symbol)))))

;(ilisp-defkey lisp-mode-map "\C-a"   'man-clim)
;(ilisp-defkey ilisp-mode-map "\C-a"  'man-clim)

(setq special-display-regexps 
      (cons (cons "*Man.*" '((height . 55) (width . 67)
			     (left . (- 40)) (top . 20)
			     (user-position . t)
			     ;(name . "Clim Manual")
			     (unsplittable . t)
			     ;(auto-raise . t) (auto-lower . t)
			     ))
	    special-display-regexps))

;(setq Man-notify-method 'newframe)
;(setq Man-frame-parameters '((height . 55) (width . 67)
;			     (left . (- 40)) (top . 20)
;			     (user-position . t)
;			     ;(name . "Clim Manual")
;			     (unsplittable . t)
;			     ;(auto-raise . t) (auto-lower . t)
;			     ))
