
*******************************************



(defclass simple+free-variable (sym+var)
  ((equations :initarg :equations
	      :reader simple=free-var-equations
	      :writer simple=free-var-set-equations!
	      :initform nil))		
  (:documentation "The class of free variables, .... equations ..."))

(defmethod print-object ((var simple+free-variable) stream)
  (format stream "~S" (keim~name var)))

(defmethod sym~variable-create ((symbol simple+free-variable) (type type+type) &optional refsym)
      (declare (ignore refsym))
      (let ((shsym 
	     (make-instance 'shsym+sharedsymbol :name (format nil "x-~A" (incf term*variable-counter))   ;(keim~name symbol)
			    :type type)))
	(make-instance 'simple+free-variable :symbol shsym :type type)))


(defun simple~declare-variable-free! (var)
  (declare (edited  "29-APR-1994 16:07")
	   (authors ABOZKURT)
	   (input   "a variable.")
	   (effect  "The class of var is changed to simple+free-variable.")
	   (value   "The free variable var."))
  (change-class var 'simple+free-variable))


;hier ist die Termliste

(setf test*env (env~create))
(post~read-object-list
 '((type-constants o i)
   (variables (F-v (o o)))
   (constants (a o) (h (o o))))
 test*env)

(setq t1 (term~read '(F-v (F-v a)) test*env))

;nun wird term-list unbenannt;

(setq tu (top~rename t1))

(mapc #'(lambda (var)
	  (simple~declare-variable-free! var))
      (top~free-variables t1))


(mapc #'(lambda (var)
	  (simple~declare-variable-free! var))
      (top~free-variables tu))


;nun die Klasse der einzelnen Variablen

;man sieht, dass die Klasse von var2-un nicht geaendert hat

;Ist das nicht ein von Fehler in Keim?
***********************************************************************

;Ich habe den Fehler sogeloest

 (mapc #'(lambda (term)
	   (mapc #'(lambda (var)
	   		(simple~declare-variable-free! var))
                (top~free-variables term)))
     term-list-un)
