(cd "~/src/fpa")

(load "index")
(load "symbol")
(load "term")
(load "user")
(load "fpa")
(load "example")

(defun complete-retrieval ()
  (let ((indexed-set (command-line-argument 1))
	(query-set   (command-line-argument 2)))
    (if (and indexed-set query-set)
	(example~complete-retrieval indexed-set query-set)
	(format t "Error: At least two arguments expected."))
    (quit))
  )
(compile 'complete-retrieval)

(disksave "~/src/fpa/fpa.exc" :restart-function 
	  #'complete-retrieval :full-gc t)
