
(in-package 'KEIM)

(defun run ()
 (setf counter 0 unifiable-counter 0 cpcb*bcktrck-counter 0 fo*variable-counter 1000)
 (time (progn
  (ex=test (quote (+ (G1 X-13 X-13) X-5)) (quote (+ (G2 X-17 X-16) B1)))
  (ex=test (quote (G1 (+ (F1 C) X) X-15)) (quote (G1 (F3 (F2 X-13)) (G1 (F3 X-13) (F3 X-13)))))
  (ex=test (quote (G1 (F3 X-16) (F1 D))) (quote (G1 (+ X-15 D) (F1 X-11))))
  (ex=test (quote (* X-8 (* (+ C X-1) (* X-15 X-2)))) (quote (* (* X-16 Y) (F2 Z))))
  (ex=test (quote (F1 (+ (+ X-13 X-11) (F1 B2)))) (quote (F1 X-7)))
  (ex=test (quote (+ A3 A1)) (quote (+ A X-4)))
  (ex=test (quote (G1 X-7 Z)) (quote (G1 X-6 X-16)))
  (ex=test (quote (F2 (G1 X-17 X-7))) (quote (F2 (F1 X-1))))
  (ex=test (quote (F2 X-6)) (quote (F2 Z)))
  (ex=test (quote (G2 (G2 A3 B) (G2 X-15 X-3))) (quote (G2 (* X-14 X) (F2 X-18))))
  (ex=test (quote (G1 (F2 X-3) (G1 X-14 X-14))) (quote (G1 (G2 Y X-8) (F2 X-11))))
  (ex=test (quote (G1 X-2 X-13)) (quote (G1 (G1 X-16 B3) (F3 X-2))))
  (ex=test (quote (F3 X-8)) (quote (F3 X-5)))
  (ex=test (quote (* (+ B1 X-2) (G1 X-1 Z))) (quote (* X-14 (F2 X-12))))
  (ex=test (quote (F2 X-2)) (quote (F2 (* X-14 X-4))))
  (ex=test (quote (+ (G1 X-18 (F1 A)) (F1 X-12))) (quote (+ (F1 (G2 X-2 X-4)) (F3 (G2 X-1 X-15)))))
  (ex=test (quote (G1 X-7 X-2)) (quote (G1 X Y)))
  (ex=test (quote (F3 X-5)) (quote (F3 X-7)))
  (ex=test (quote (G1 (* X-1 EINS) X-5)) (quote (G1 (* A1 X-4) (* Y X-12))))
  (ex=test (quote (F1 (* A1 X-2))) (quote (F1 (F2 X-2))))
  (ex=test (quote (F1 (F2 EINS))) (quote (F1 B2)))
  (ex=test (quote (F3 X-14)) (quote (F3 (G2 X-8 X-3))))
  (ex=test (quote (G1 X-6 X-11)) (quote (G1 X-5 X-6)))
  (ex=test (quote (G1 (G1 X-14 X-8) X)) (quote (G1 (+ (F3 X-1) (G2 X-14 X-17)) (F2 A))))
  (ex=test (quote (G1 D X-13)) (quote (G1 D D)))
  (ex=test (quote (* X-17 X-16)) (quote (* X-2 X-3)))
  (ex=test (quote (* (+ NULL Y) (F1 X-16))) (quote (* (F2 X) X-14)))
  (ex=test (quote (F3 (G2 X-3 X))) (quote (F3 (* X-2 X-8))))
  (ex=test (quote (G1 (F3 Y) (F2 X-14))) (quote (G1 X-5 (F1 X-16))))
  (ex=test (quote (G1 (F1 X-15) X-13)) (quote (G1 Y (G2 X-7 X-7))))
  (ex=test (quote (G2 (F1 Z) (F3 X-3))) (quote (G2 (G2 X-2 X-11) (G1 B X-17))))
  (ex=test (quote (F3 (G2 X-17 NULL))) (quote (F3 X-3)))
  (ex=test (quote (* X-15 X-13)) (quote (* X-16 X)))
  (ex=test (quote (* X-18 X-16)) (quote (* X-14 X-3)))
  (ex=test (quote (* (F1 X-3) (G2 X-15 X))) (quote (* (G2 X-13 X-15) B1)))
  (ex=test (quote (+ X-15 D)) (quote (+ X-14 X-5)))
  (ex=test (quote (* (G1 B1 X-12) X-16)) (quote (* X-12 (F3 X-8))))
  (ex=test (quote (F2 (+ X-4 Y))) (quote (F2 (+ X-13 (G2 NULL X)))))
  (ex=test (quote (F3 (F1 X-6))) (quote (F3 Y)))
  (ex=test (quote (* (+ D X-8) (G2 X-14 A1))) (quote (* X-2 (+ NULL Z))))
  (ex=test (quote (F3 A2)) (quote (F3 Y)))
  (ex=test (quote (G1 (+ Y Z) X-11)) (quote (G1 X-7 (G1 (G2 X-17 X-17) X-14))))
  (ex=test (quote (* X-6 (G2 X-12 X-6))) (quote (* (G2 X-8 X-2) X-16)))
  (ex=test (quote (G1 (* A3 X-5) (G1 X Z))) (quote (G1 X-11 (G2 C X-11))))
  (ex=test (quote (G2 A X-7)) (quote (G2 X-8 X-13)))
  (ex=test (quote (F3 (F3 X-11))) (quote (F3 (F2 X-5))))
  (ex=test (quote (G2 (F2 X-11) (* X-8 X-14))) (quote (G2 (+ X-14 X-5) X)))
  (ex=test (quote (G1 (* X-7 X) (* A1 B2))) (quote (G1 (+ X X-2) (G2 X (F1 D)))))
  (ex=test (quote (+ (+ A3 X-7) X-15)) (quote (+ Z D)))
  (ex=test (quote (F3 X-4)) (quote (F3 (G1 X-15 X-6))))
  ))
 (format t "~%~A unifiable   ~A backtrack steps       iterative: ~A" unifiable-counter cpcb*bcktrck-counter cpcb*iterative)
 (values))

