;(in-package "CLIM-USER")
(in-package "KEIM")

(export '(cpcb*env))

(setf cpcb*env (env~create))

(post~read-object-list '((type-constants i)
			 (constants (a i) (b i) (c i) (d i)
				    (a0 i) (b0 i)
				    (a1 i) (b1 i)
				    (a_0 i) (a_A i) (a_B i) (a_1 i)
				    (f (i i)) (f1 (i i)) (f2 (i i))
			            (g (i i i)) (h (i i i)) (- (i i)))
			 (variables (x i) (y i) (z i) (u i) (v i) (w i)
				    (x1 i) (x2 i) (x3 i) (x4 i) (x5 i) (x6 i)
				    (y1 i) (y2 i) (y3 i) (y4 i) (y5 i) (y6 i) (y99 i)
				    (v_0 i) (v_1 i) (v_2 i) (v_3 i))
			 (signatures (aci (&& (i i i))) (aci (& (i i i))) (aci (! (i i i)))
				     (ac (++ (i i i))) (ac (+ (i i i)))
			             (ac (** (i i i))) (ac (* (i i i)))
			             (a (list i i i))
			             (br (plus (i i i)) (mal (i i i)) (null i) (eins i))
				     ))
		       cpcb*env)

(setf t1 (term~read '(g (* (+ x a) (* b y)) (f (& (* y (f y)) (& a b))))
		    cpcb*env))

(setf t2 (term~read '(g a b)
		    cpcb*env))

(setf t3 (term~read '(* a b)
		    cpcb*env))

(setf x (term~read 'x
		    cpcb*env))

(setf y (term~read 'y
		    cpcb*env))

(setf a (term~read 'a
		    cpcb*env))

(setf tl1 (list (term~read '(g u v) cpcb*env)
		(term~read '(& (f x) (& y2 (f a))) cpcb*env)
		(term~read '(& x1 (! x2 x3)) cpcb*env)
		(term~read '(* x1 (+ x2 x3)) cpcb*env)
		))

(setf tl2 (list (term~read '(g x (f z)) cpcb*env)
		(term~read '(& (& y1 y2) y3) cpcb*env)
		(term~read '(& (! x1 x2) (! x1 x3)) cpcb*env)
		(term~read '(& (* x1 x2) (+ x1 x3)) cpcb*env)
		))

#|

(trace cpcb=next-step cpcb=choice-point cpcb=select-choice-point unicp~theo-init unicp~new-constr)

(UNICP~THEO-INIT UNICP~NEW-CONSTR UNICP~SOLVABLE-P UNICP~UP-SAVE-CHOICE-POINT UNICP~UP-RESTORE-CHOICE-POINT)


(cpcb~decide-unify (list (term~read 'x1 cpcb*env)
			 (term~read '(g x1 x3) cpcb*env))
		   (list (term~read '(mal x2 x3) cpcb*env)
			 (term~read '(g a b) cpcb*env)))

(cpcb~decide-unify (list (term~read '(plus x1 x2) cpcb*env))
		   (list (term~read '(plus a b) cpcb*env)))

(cpcb~decide-unify (list (term~read '(f (plus x1 (f x1))) cpcb*env))
		   (list (term~read '(f a) cpcb*env)))


(cpcb~decide-unify (list (term~read '(& x y) cpcb*env))
		   (list (term~read '(& a b) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ u (f x)) cpcb*env))
		   (list (term~read '(+ x y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(f x) cpcb*env)
			 (term~read 'x cpcb*env)
			 (term~read 'v cpcb*env))
		   (list (term~read '(& y (f v)) cpcb*env)
			 (term~read '(& u v) cpcb*env)
			 (term~read 'a cpcb*env)))

(cpcb~decide-unify (list (term~read '(f (f x)) cpcb*env)
			 (term~read 'x cpcb*env)
			 (term~read 'v cpcb*env))
		   (list (term~read '(& y (f u)) cpcb*env)
			 (term~read '(& u v) cpcb*env)
			 (term~read 'a cpcb*env)))



(cpcb~decide-unify (list (term~read '(g u v) cpcb*env))
		   (list (term~read '(g (& (+ a x) b) x) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g u v) cpcb*env))
		   (list (term~read '(g (& (+ a x) (list y z)) x) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g u v) cpcb*env)
			 (term~read '(& (f x) (f a)) cpcb*env))
		   (list (term~read '(g x (f z)) cpcb*env)
			 (term~read '(& y a) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g u v) cpcb*env)
			 (term~read '(& (f x) (f a)) cpcb*env))
		   (list (term~read '(g x (f z)) cpcb*env)
			 (term~read '(& y a) cpcb*env)))

(cpcb~decide-unify (list (term~read '(& x y) cpcb*env))
		   (list (term~read '(& z (f y)) cpcb*env)))


(cpcb~decide-unify (list (term~read '(+ b x) cpcb*env)
			 (term~read '(+ b x) cpcb*env))
		   (list (term~read '(+ a y) cpcb*env)
			 (term~read '(+ a y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (f x) x) cpcb*env))
		   (list (term~read '(+ (f y) y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (+ y z)) cpcb*env))
		   (list (term~read '(+ a b) cpcb*env)))


;; positive examples:

(cpcb~decide-unify (list (term~read '(f (* x x)) cpcb*env)
			 (term~read '(+ a (++ u u)) cpcb*env))
		   (list (term~read '(f (* a y)) cpcb*env)
			 (term~read '(+ a (++ a v)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x x) cpcb*env))
		   (list (term~read '(+ y y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ a x) cpcb*env))
		   (list (term~read '(+ a y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(f u) cpcb*env))
		   (list (term~read '(f (+ x y)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (f x)) cpcb*env))
		   (list (term~read '(+ y (f y)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x x) cpcb*env))
		   (list (term~read '(+ (f y) (f z)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x x) cpcb*env))
		   (list (term~read '(+ a b) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g y x) cpcb*env))
		   (list (term~read '(g a (+ y (+ (f y) (g y y)))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(f x) cpcb*env))
		   (list (term~read '(f (+ b (+ a a))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(f (+ x1 x2)) cpcb*env))
		   (list (term~read '(f (+ y1 y2)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x1 x2) cpcb*env))
		   (list (term~read '(+ (+ y1 y2) (f y1)) cpcb*env)))

((+ X2 X3) (+ (+ Y1 Y2) (G Y1)) T)

(cpcb~decide-unify (list (term~read '(g x v) cpcb*env)
			 (term~read '(+ x (+ (f u) (- u))) cpcb*env))
		   (list (term~read '(g x v) cpcb*env)
			 (term~read '(+ u v) cpcb*env)))
;;; eine markierte Loesung der dioph. Gleichungen zu viel; ind(x)=AC



(cpcb~decide-unify (list (term~read '(+  (* a x1) (* a x2)) cpcb*env)
			 (term~read '(++ (** a y1) (** a y2)) cpcb*env))
		   (list (term~read '(+  (* c d) (* c x)) cpcb*env)
			 (term~read '(++ (** c d) (** c x)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+  (* a b) (* a b)) cpcb*env)
			 (term~read '(++ (** a b) (** a b)) cpcb*env))
		   (list (term~read '(+  (* c d) (* c x)) cpcb*env)
			 (term~read '(++ (** c d) (** c x)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g u v) cpcb*env)
			 (term~read '(+ x (+ (f u) (- u))) cpcb*env))
		   (list (term~read '(g z w) cpcb*env)
			 (term~read '(+ u v) cpcb*env)))
;;; w wird Repraesentant und ist nicht geshart; Information fuer v wird nicht berechnet.

(cpcb~decide-unify (list (term~read '(+ x a) cpcb*env))
		   (list (term~read '(+ (+ y1 y2) (f y1)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x1 a) cpcb*env))
		   (list (term~read '(+ (+ y1 y2) (f (+ y2 y3))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (g X1 X2) (g (f X1) X2)) cpcb*env))
		   (list (term~read '(+ (g y1 y2) (g (f y1) y2)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x1 a) cpcb*env))
		   (list (term~read '(+ (+ y3 (g y1 y2)) (g (f y1) y2)) cpcb*env)))


(cpcb~decide-unify (list (term~read '(* (* x1 x2) (+ x3 x4)) cpcb*env))
		   (list (term~read '(* y1 (f y1)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(* (+ x1 x2) (+ x1 (f x2))) cpcb*env))
		   (list (term~read '(* (+ y1 y2) (+ y1 (f y2))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(* (* x3 (g x1 x2)) (g x1 (f x2))) cpcb*env))
		   (list (term~read '(* (g x1 x2) (g x1 (f x2))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ a x) cpcb*env))
		   (list (term~read '(+ (+ (* y1 y2) y3) (* y1 (f y2))) cpcb*env)))

(cpcb~decide-unify (list (term~read 'x1 cpcb*env)
			 (term~read 'x2 cpcb*env)
			 (term~read '(+ (+ (f b) x1) x1) cpcb*env))
		   (list (term~read '(* (* a a) b) cpcb*env)
			 (term~read '(* (* a a) b) cpcb*env)
			 (term~read '(+ (+ (f b) x2) x2) cpcb*env)))

(ac=test (list (term~read '(+ x1 a) cpcb*env))
	 (list (term~read '(+ (+ y1 y2) (f (+ y2 y3))) cpcb*env)))

(cpcb~decide-unify (list (term~read 'x1 cpcb*env)
			 (term~read '(& (! x1 x1) (! x1 x2)) cpcb*env))
		   (list (term~read '(& (f y1) (f y2)) cpcb*env)
			 (term~read '(f (! y1 y2)) cpcb*env)))



;; negative examples:

(cpcb~decide-unify (list (term~read '(f a) cpcb*env))
		   (list (term~read '(f (+ x y)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (f x)) cpcb*env))
		   (list (term~read '(+ y y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (f x)) cpcb*env))
		   (list (term~read '(+ y (+ y y)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (f x)) cpcb*env))
		   (list (term~read '(+ (+ (f a) y) y) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x (f x)) cpcb*env))
		   (list (term~read '(+ y (f (+ y z))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (+ x x) a) cpcb*env))
		   (list (term~read '(+ (+ y y) (+ z z)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ x1 (+ (f1 x2) (f x3))) cpcb*env))
		   (list(term~read '(+ y1 (+ (f2 x1) (f y3))) cpcb*env)))


(cpcb~decide-unify (list (term~read '(+ (+ x b) (+ a a)) cpcb*env))
		   (list (term~read '(+ b (+ a a)) cpcb*env)))

(cpcb~decide-unify (list (term~read 'x cpcb*env)
			 (term~read '(+ a1 x1) cpcb*env))
		   (list (term~read '(* (* a a) b) cpcb*env)
			 (term~read '(+ (+ (f b) x) x) cpcb*env)))

(cpcb~decide-unify (list (term~read '(* x y) cpcb*env)
			 (term~read '(+ x (+ y z)) cpcb*env))
		   (list (term~read '(* u v) cpcb*env)
			 (term~read '(+ u v) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ z (+ (* x1 x2) (* x1 (f x2)))) cpcb*env))
		   (list (term~read '(+ (* y1 y2) (* y1 (f y2))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (+ x3 (* x1 x2)) (* x1 (f x2))) cpcb*env))
		   (list (term~read '(+ (* y1 y2) (* y1 (f y2))) cpcb*env)))

((+ (+ X3 (* X1 X2)) (* X1 (N X2))) (+ (* Y1 Y2) (* Y1 (N Y2))) NIL)

((+ (* X1 X2) (* X1 (N X2))) (+ (+ Y3 (* Y1 Y2)) (* Y1 (N Y2))) NIL)

(cpcb~decide-unify (list (term~read 'x1 cpcb*env)
			 (term~read 'x2 cpcb*env)
			 (term~read '(+ y1 (+ x1 x1)) cpcb*env))
		   (list (term~read '(* (* a a) b) cpcb*env)
			 (term~read '(* a a) cpcb*env)
			 (term~read '(+ (+ x2 x2) (+ y2 (f (* b b)))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(! x1 (f x1)) cpcb*env))
		   (list (term~read '(! (& y1 y2) (& y1 (f y2))) cpcb*env)))

(cpcb~decide-unify (list (term~read '(! (! (& x1 x2) (& x1 x3)) (& x1 (f (! x2 x3)))) cpcb*env)
			 (term~read '(& a_1 x1) cpcb*env))
		   (list (term~read '(! (f (& y1 y2)) (f (& y3 (f y2)))) cpcb*env)
			 (term~read '(f a_0) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (& y1 a) (* b y2)) cpcb*env))
		   (list (term~read '(+ (! (& x1 x2) c) x3) cpcb*env)))

(cpcb~decide-unify (list (term~read '(g u x) cpcb*env))
		   (list (term~read '(g (! x y) (f u)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(& y a) cpcb*env))
		   (list (term~read '(! x b) cpcb*env)))

(cpcb~decide-unify (list (term~read '(&& (& y1 a) (+ y2 y3)) cpcb*env))
		   (list (term~read '(&& x1 (! x2 b)) cpcb*env)))

(cpcb~decide-unify (list (term~read '(+ (& x a) (* a1 y)) cpcb*env))
		   (list (term~read '(+ (! (& x2 x3) b) z) cpcb*env)))

(cpcb~decide-unify (list (term~read '(* (&& (& y1 a) (+ y2 y3)) (++ a1 y4)) cpcb*env))
		   (list (term~read '(* (&& x1 (! x2 b)) (! x3 x4)) cpcb*env)))

(cb==test   '(g (f (h x a) (m x1 x4)) (k a1 y))
            '(g (f x2 (n x3 b)) (n z w))  NIL)

;(V_0 (* (* A_A A_A) A_B) V_1 (* A_A A_A) (+ (+ X1 V_0) V_0) (+ (+ (+ Y1 V_1) V_1) (INV (* A_B A_B))) T)


(defun cpcb=bktrk-restore (up)
  (declare (edited  "20-FEB-1996")
	   (authors Richts)
	   (input   "A general unification problem.")
	   (effect  "The status of the last choice point (that still has"
		    "alternatives) is restored: The labels of the variables in"
		    "UP are set to the top of UP's label-stack.  Each elementary"
		    "unification problem in UP is called with the"
		    "unicp~up-restore-choice-point method and the results are"
		    "put in UP's up-queue.  Finally UP's constraint-queue is"
		    "filled with NILs.")
	   (value   "Undefined."))
  (mapc #'(lambda (var label)
	    (unicp~set-orig-label! var label))
	(unicp~variables up)
	(pop (unicp~gup-label-stack up)))
  (let ((up-queue (unicp~gup-up-queue up))
	(constr-queue (unicp~gup-constraint-lqueue up)))
    (mapc #'(lambda (up)
	      (let ((new-up (unicp~up-restore-choice-point up)))
		(unless new-up (break))
		(misc~queue-insert! up-queue new-up))
	      (misc~queue-delete! up-queue)
	      (misc~lqueue-insert! constr-queue nil nil nil nil nil)
	      (misc~lqueue-insert! constr-queue nil nil nil nil nil)
	      (misc~lqueue-delete! constr-queue)
	      (misc~lqueue-delete! constr-queue))
	  (copy-list (misc~queue-list up-queue)))))


(ex=test (quote (F1 (M2 X-8 X-3)))
	 (quote (F1 (P1 (M1 (M2 Y-3 (G2 X-6 X-12)) (P1 Y-2 B2)) (M2 W (M1 B X-15))))))

(ex=test (quote (M2 X-8 X-3)))
	 (quote (P1 (M1 (M2 Y-3 (G2 X-6 X-12)) (P1 Y-2 B2)) (M2 W (M1 B X-15)))))


|#
