;;; -*- Package: HADES; Syntax: Common-lisp; Mode: LISP -*-


(in-package 'hades)

(setq SRV*ACI-N-TO-N.LIMIT 10)
(term-reset)
(reset-grouped-array :memory)

(term=cth.reset :loaded)

(term=cth.configure)


(uds-instantiate 'th-abelian.semigroup
		 '(thas1)
		 :constants '(a1 a2 a3 a4 b1 b2 b3 b4)
		 :variables '(x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 y1 y2 y3 y4))


(setf term1 (uds-create '(thas1 a1 a2 a3)))
(setf term2 (uds-create '(thas1 y1 a1)))
(setf multi (list  (list x term1) (list x term2)))

(au=unification.problem.substitutions
	 (au-unify.in.arbitrary.disjoint.equational.theories multi))




(setq SRV*ACI-N-TO-N.LIMIT 2)

(term-reset)
(reset-grouped-array :memory)

(term=cth.reset :loaded)

(term=cth.configure)


(uds-instantiate 'th-abelian.semigroup
		 '(thas1)
		 :constants '(a1 a2 a3 a4 b1 b2 b3 b4)
		 :variables '(x x1 x2 x3 x4 x5 x6 x7 x8 x9 x10 y1 y2 y3 y4))


(setf term1 (uds-create '(thas1 a1 a2 a3)))
(setf term2 (uds-create '(thas1 y1 a1)))
(setf multi (list  (list x term1) (list x term2)))

(au=unification.problem.substitutions
	 (au-unify.in.arbitrary.disjoint.equational.theories multi))