(in-package "KEIM")

(setf env (env~create))

(post~read-object-list '((type-constants i)
			 (constants (a i) (b i)
				    (a0 i) (b0 i)
				    (a1 i) (b1 i)
				    (a_0 i)
				    (inv (i i)))
			 (variables (x i) (y i) (z i) (u i) (v i) (w i)
				    (x1 i) (x2 i) (x3 i) (x4 i) (x5 i) (x6 i)
				    (y1 i) (y2 i) (y3 i) (y4 i) (y5 i) (y6 i)
				    (v_0 i))
			 (signatures (aci (f (i i i))) (aci (h (i i)))
				     (ac (+ (i i i))) (ac (k (i i i)))))
		       env)

(defun cb==test (t1 t2 wwert)
  (if (eq
       (null (cb~unify (list (list
			(term~read t1 env)
			(term~read t2 env)))
		 env))
       (null wwert))
      T
      NIL))



(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv (+ x2 (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y2 (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 y3) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv (+ x2 (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ (inv x1) (inv x2)) (inv (+ x2 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ x2 (inv x1)) (inv (+ (inv x2) (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (inv (+ x2 (inv x1))) (inv (inv (+ (inv x1) (inv x2)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (inv (+ (inv x1) (inv x2))) (inv (inv (+ x2 (inv x1)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x2 (inv x1)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x2 (inv (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (inv x1) (inv x1)) (inv x2))) (inv (+ x2 (inv (+ x2 (inv (inv x1)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv (+ x1 (inv x2))))) (inv (+ (inv x2) (inv (+ x2 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv (+ x1 (inv (inv x2)))))) (inv (+ (inv x2) (inv (inv (+ (inv x1) (inv x2)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x2)) (inv (+ x2 (inv (inv x1)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y2)) (inv (+ y2 (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y2)) (inv (+ y2 (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv (+ x2 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 (inv x2)) (inv (+ (+ x1 (inv x1)) (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv (+ x1 (inv (inv x2)))))) (inv (+ (+ (inv x1) (inv x2)) (inv (inv (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ x1 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x2)) (inv (+ x1 (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y2)) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y2)) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 (inv (inv (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 (inv (inv x2))) (inv (+ x1 (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (inv x1)) (inv (+ (inv (inv x1)) (inv (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x1) (inv (+ (inv x1) (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x2)) (inv (+ (inv x1) (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y2)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y2)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (inv x1) (inv (inv x1))) (inv (inv x2)))) (inv (+ (inv x1) (inv (+ x2 (inv (inv x1)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y2 (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 y3) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ x2 (inv (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (inv x1) (inv x2)) (inv (+ (inv x1) (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv (+ y2 (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv (+ y2 (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (inv y1) (inv y2)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 (inv y1)) (inv y2)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (inv x2) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y1 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (inv x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ (+ y1 y3) (inv (+ y1 (inv y2)))) (inv (+ y1 (inv (inv y2)))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x2 x3) (inv x3)) (inv (+ x2 (inv (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE v_1) (QUOTE  (inv x1)
(cb==test (QUOTE (+ (+ (+ x1 x2) v_1) v_1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv (+ x2 (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) x3) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 (inv (inv x2)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv (+ y1 (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ (+ y1 y3) (inv (+ (inv y2) (inv (inv y1)))))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv (+ (inv y1) (inv (inv y2)))))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (inv (+ x2 (inv x1))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x2 (inv x1)))) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ (inv x2) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 x3) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv (+ x2 (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x3 (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ (inv x3) (inv (+ x2 x3)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x3) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 (inv x1)) (inv x2))) (inv (+ (inv x2) (inv (+ x3 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (inv x2) (inv (+ x3 (inv (+ x3 (inv x2))))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (+ x1 x2) (inv x1)) (inv x3))) (inv (+ (inv x3) (inv (+ (+ x2 x4) (inv x4))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x3) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ (inv x3) (inv (+ (+ x2 x4) (inv (+ x4 (inv x3))))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x3) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y4) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y4) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv (+ x2 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) (inv (+ x2 (inv x4)))) (inv (+ (+ x3 x4) (inv (+ x4 (inv x2))))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y5) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv (+ y2 (inv y4)))) (inv (+ (+ y3 y4) (inv (+ y4 (inv y2))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y5) (inv (+ y2 (inv y4)))) (inv (+ (+ y3 y4) (inv (+ y4 (inv y2))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x2 (inv (+ x2 (inv (+ (+ x1 x3) (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x2)) (inv (+ x1 x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (inv x2) (inv (inv x1)))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ (inv x2) (inv (inv x1)))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE v_1) (QUOTE  (inv x3)
(cb==test (QUOTE (+ (+ (+ (+ x2 x2) (inv x2)) v_1) v_1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE v_1) (QUOTE  (inv y3)
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y2) (inv y2)) v_1) v_1)) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv x3)) (inv (+ x1 x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ (inv x1) (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (inv x1) (inv (inv x2)))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE v_1) (QUOTE  (inv x1)
(cb==test (QUOTE (+ (+ (+ x1 v_1) v_1) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE v_1) (QUOTE  (inv y1)
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 v_1) v_1) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ (+ (+ x1 x1) x2) x3) (inv x2)) (inv x3))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ (+ (+ x1 x1) x2) (inv x1)) (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ y1 y1) y2) y3) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ y1 y1) y2) (inv y1)) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x3) (inv (+ x1 (inv x2)))) (inv (+ x1 (inv (inv x2)))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (inv x2)))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x1) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y1) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ (+ x2 x2) x2) (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y4) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y2) y2) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ y2 y2) y2) y4) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  (inv x2)
(cb==test (QUOTE v_1) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 (inv x1)) v_0) v_0)) (QUOTE  (+ v_1 v_1)
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 (inv x1)) (inv x2)) (inv x3))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x2) (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y4) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y2) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y2) y4) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ (+ x1 x1) x2) (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x3 (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y1 y1) y2) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ y1 y1) y2) y4) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y3 (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 y4) (inv y3))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x1) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y1) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y1) y3) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y2 (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 y3) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x3 x4) (inv x3)) (inv x4))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y1 y2) y5) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y4) (inv y3)) (inv y4))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y3 y4) y5) (inv y3)) (inv y4))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x3 (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y1 y2) y4) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y3 (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 y4) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x1 x2) x2) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y2) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x1)) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv (+ x1 x2)))) (inv (+ (+ (inv x1) (inv x2)) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x2) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 x2))) (inv (+ x1 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (inv (+ y2 (inv y1))) (inv (+ (inv y1) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y2 (inv y1)))) (inv (+ (inv y1) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x2 (inv (+ x3 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x3 (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y3 (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 y4) (inv y3))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x1)) (inv x2))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 x2) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y3) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 y2) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y2) y3) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x2) (inv (+ (inv x1) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x1 x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ x2 x2) (inv (+ x1 x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x1) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ (+ x2 x3) x4) x5) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y4) y5) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) x4) (inv (+ x2 (inv (+ x5 (inv (+ x3 x5)))))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y6) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) y4) (inv (+ y2 (inv (+ y5 (inv (+ y3 y5)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y4) y6) (inv (+ y2 (inv (+ y5 (inv (+ y3 y5)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) x4) (inv (+ x2 (inv (+ (+ x5 x6) (inv (+ x3 x5)))))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y7) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) y4) (inv (+ y2 (inv (+ (+ y5 y6) (inv (+ y3 y5)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y4) y7) (inv (+ y2 (inv (+ (+ y5 y6) (inv (+ y3 y5)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x1) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x2 (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y1) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y1) y4) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y4) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x3 x4) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 y4) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y4) y5) (inv y3))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ (+ x1 x2) x3) (inv (+ x1 (inv x4)))) (inv (+ (+ x2 x4) (inv (+ x4 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x5 (inv x5))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y1 y2) y3) (inv (+ y1 (inv y4)))) (inv (+ (+ y2 y4) (inv (+ y4 (inv y1))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ y1 y2) y3) y6) (inv (+ y1 (inv y4)))) (inv (+ (+ y2 y4) (inv (+ y4 (inv y1))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y5 (inv y5))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 y6) (inv y5))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x3 x4) x5) (inv (+ x3 (inv (+ x6 (inv (+ x4 x6)))))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y7) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y4) y5) (inv (+ y3 (inv (+ y6 (inv (+ y4 y6)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y3 y4) y5) y7) (inv (+ y3 (inv (+ y6 (inv (+ y4 y6)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x3 x4) x5) (inv (+ x3 (inv (+ (+ x6 x7) (inv (+ x4 x6)))))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y8) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y4) y5) (inv (+ y3 (inv (+ (+ y6 y7) (inv (+ y4 y6)))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y3 y4) y5) y8) (inv (+ y3 (inv (+ (+ y6 y7) (inv (+ y4 y6)))))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x1 x1) (inv x1)) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y1) (inv y1)) (inv y2))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x1) (inv (+ (+ (+ x1 x1) x2) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x2)) (inv (+ x1 (inv (+ x2 x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x3 (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y2)) (inv (+ y1 (inv (+ y2 y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y4) (inv y2)) (inv (+ y1 (inv (+ y2 y2)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y3 (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 y4) (inv y3))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ x1 x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 y2)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y1)) (inv (+ y2 y2)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y2)) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x1) (inv (+ x3 (inv x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y3 (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ y3 (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ (+ (+ x2 x3) x3) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ x2 x2))) (inv (+ (+ x3 (inv x3)) (inv x4))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ (+ x2 x3) (inv x2)) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ (+ (+ (+ x2 x3) x4) x4) (inv x2)) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x3 x4) (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 (inv x2)) (inv (+ x3 x3)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 (inv (+ x3 x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ (+ x1 x2) x3) (inv (+ (+ x1 x1) x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ (+ x1 x1) x2) (inv x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) (inv x4)) (inv (+ x2 (inv (+ x4 x4)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y5) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y4)) (inv (+ y2 (inv (+ y4 y4)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y5) (inv y4)) (inv (+ y2 (inv (+ y4 y4)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv (+ y1 (inv y1)))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x3 x4) (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv (+ y1 (inv y1)))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 (inv (+ x3 x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv (+ y1 (inv y1)))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x3 x4) (inv (+ x3 x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv (+ y1 (inv y1)))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x3 (inv x4)) (inv (+ x3 (inv (+ x4 x4)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y4)) (inv (+ y3 (inv (+ y4 y4)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y5) (inv y4)) (inv (+ y3 (inv (+ y4 y4)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x3 x4) (inv x5)) (inv (+ x3 (inv (+ x5 x5)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y6) (inv y1))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y3 y4) (inv y5)) (inv (+ y3 (inv (+ y5 y5)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y3 y4) y6) (inv y5)) (inv (+ y3 (inv (+ y5 y5)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x4 (inv x4)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv (+ y1 (inv y1)))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x4 x5) (inv x4)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y6 (inv (+ y1 (inv y1)))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x4 (inv (+ x4 x4))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv (+ y1 (inv y1)))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x4 x5) (inv (+ x4 x4))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 (inv y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y6 (inv (+ y1 (inv y1)))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x2)) (inv (+ (+ (+ x1 x1) x2) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x1 x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x3 (inv (+ x3 (inv (+ x1 x2))))) (inv (+ x2 (inv (+ x1 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x2) (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ (+ (+ x1 x1) x2) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x2)) (inv (+ x1 (inv (+ x2 x3)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x3 (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ (inv x1) (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y2 y2)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y3) (inv (+ y2 y2)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ (inv y1) (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y2)) (inv (+ (inv y1) (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x3 x3)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 (inv x3)) (inv (+ (inv x2) (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y2) (inv (+ y3 y3)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 (inv y3)) (inv (+ (inv y2) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv x1))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ x1 (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y1)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y3 (inv y2)) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x1 (inv x2)) (inv (+ x1 x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x1 x2) (inv (+ x1 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x1) (inv x2))) (inv (+ x2 (inv (+ x2 (inv x1))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ y1 (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y3) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ x2 (inv (+ x3 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv (+ x3 (inv (+ x2 x3)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (+ x1 x2) x3) (inv x1))) (inv (+ x3 (inv (+ (+ x2 x4) (inv x4))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x3)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv (+ (+ x2 x2) x3))) (inv (+ (+ x3 x4) (inv x4))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x2 x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (+ x1 x2) x3) (inv x1))) (inv (+ (+ x3 x4) (inv (+ x2 (inv x4))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 x4))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ (+ x2 x3) (inv (+ x4 (inv (+ x3 x4)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 (inv x3)) (inv (+ x2 x3)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 (inv (+ x2 x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv (+ x3 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ x2 (inv (+ (+ x3 x4) (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv (+ x4 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv (+ x4 (inv (+ x2 x4)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 (inv x1))) (inv (+ (+ x2 x3) (inv (+ (+ x4 x5) (inv (+ x2 x4)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv y1))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ x3 (inv (+ x4 (inv x4))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x3)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ x3 (inv (+ (+ x4 x5) (inv x4))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x3)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ (+ x3 x4) (inv (+ x5 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 x4))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ (+ x3 x4) (inv (+ x5 (inv (+ x3 x5)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 x4))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x2 (inv x2)) (inv (+ x1 x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x1 x1) (inv (+ x2 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ (+ x1 x2) (inv x1))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 (inv x1))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ x1 x2) (inv x1))) (inv (+ x2 (inv (+ x1 (inv (+ x1 x2)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv (+ (+ (+ x1 x2) x3) (inv x1))) (inv (+ x3 (inv (+ (+ x1 x2) (inv (+ (+ x1 x2) x3)))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x3)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y1 y2) (inv (+ y1 y2)))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y1 y3) (inv (+ y1 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ y1 (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y1 y3) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ (+ y1 y2) y4) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y1 y2) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ (+ y1 y2) y5) (inv y1))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y3 (inv (+ y1 y1))) (inv (+ y2 (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y2)) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y3 (inv (+ y1 y2))) (inv (+ y2 (inv y1))))) T ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv (+ x1 (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x2 x3) (inv x2)) (inv x3))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y1 y4) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y2 y3) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ y2 y3) y4) (inv y2)) (inv y3))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x1) (inv (+ (+ (+ (+ x1 x1) x2) x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x3) (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x4) (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ (+ x1 x2) x5) (inv x1))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x1))) (inv (+ x2 (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x2))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ x3 x4) (inv x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv y1)) (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ (+ y3 y4) (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv y1)) (inv (+ (+ y3 y4) (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 (inv x2)) (inv (+ (+ x3 x4) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv (+ (+ (+ x2 x2) x2) (inv x2)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ x1 x1) x1) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv (+ (+ (+ (+ (+ x2 x2) x2) x3) x3) (inv x2)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (inv x1) (inv (+ x1 x1))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ (+ x1 x1) (inv x2)) (inv (+ x2 x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ (+ x1 x2) x3) (inv (+ (+ x1 x2) x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (+ (+ (+ (+ (+ (+ x1 x1) x1) x2) x2) x3) x3) (inv x1))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ y1 y2) y3) (inv (+ (+ y1 y2) y2)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ (+ (+ (+ (+ (+ y1 y1) y1) y2) y2) y3) y3) (inv y1))) NIL ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ x2 (inv x1))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x2)) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x3 (inv (+ x1 x2))) (inv (+ x2 (inv x1))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x1) (inv x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv (+ x3 (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ x1 x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv (+ y3 (inv y3))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ y2 (inv (+ y3 (inv y3))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y2)) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv (+ x3 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ x1 x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv (+ y3 (inv y2))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ y2 (inv (+ y3 (inv y2))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y2)) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ x2 (inv (+ (+ x3 x4) (inv x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv x2) (inv (+ x1 x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ y2 (inv (+ (+ y3 y4) (inv y3))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv y1)) (inv (+ y2 (inv (+ (+ y3 y4) (inv y3))))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y2) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y5 (inv y2)) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (+ x2 x2) x3)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ x2 x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ (+ y2 y2) y3)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ (+ y2 y2) y3)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ y2 y3)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ y2 y3)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (inv x1) (inv (+ (inv x2) (inv (+ x2 x3)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x2 (inv (+ x1 x1)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (inv y1) (inv (+ (inv y2) (inv (+ y2 y3)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y4 (inv y1)) (inv (+ (inv y2) (inv (+ y2 y3)))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y2 (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ (+ y2 y4) (inv (+ y1 y1)))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) x2)) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ (+ (+ x3 x4) (inv x3)) (inv (+ x2 x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv (+ x2 x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x2)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ x1 x2)))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x4 (inv (+ x1 x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (inv (+ y1 y1)) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (inv (+ x1 x1)) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE (+ (+ x4 (inv (+ x1 x1))) (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ (+ y4 (inv (+ y1 y1))) (inv (+ (+ y2 y3) (inv y2))))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x2 (inv x2)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x2) (inv x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x3 (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ x3 (inv x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y3 (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ (+ x3 x4) (inv x3))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ y2 (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ (+ y3 y4) (inv y3))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x2 x3) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv (+ (+ x4 x5) (inv x4))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ (+ y2 y3) (inv y2))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ v_0 v_0)) (QUOTE  (+ y1 (inv (+ (+ y4 y5) (inv y4))))) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv (+ x2 (inv x2)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv (+ (+ x2 x3) (inv x2)))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x2) (inv (+ (+ x3 x4) (inv (+ x1 x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x2) (inv (+ x3 (inv (+ x1 x3))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x2) (inv (+ x3 (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv (+ (+ x2 x3) (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv (+ x2 (inv x2)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 (inv x2)) (inv (+ x1 x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ x1 (inv (+ x1 x2))))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv (+ x2 (inv (+ x1 x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (+ x1 x2) (inv x1)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv (+ (+ x3 x4) (inv x3)))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 x1))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x1 x2)))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (inv x1) (inv (+ (+ x1 x2) x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ (inv x1) (inv (+ x1 x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ (+ x1 x2) (inv (+ (+ (+ x3 x4) (inv x2)) (inv x3))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x2)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ (+ x2 (inv x1)) (inv x2))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 (inv (+ x2 (inv (+ x1 (inv x2))))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (+ x1 (inv x2))) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (inv (+ x1 (inv (+ x2 (inv x1)))))) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE (inv x1)) (QUOTE  a_a) NIL ) 
(cb==test (QUOTE (inv x1)) (QUOTE  (inv (+ y1 y1))) T ) 
(cb==test (QUOTE (inv (inv x1))) (QUOTE  (inv (+ y1 y1))) NIL ) 
(cb==test (QUOTE (inv x1)) (QUOTE  (inv (+ y1 y1))) T ) 
(cb==test (QUOTE v_0) (QUOTE  a_a
(cb==test (QUOTE (+ x1 x1)) (QUOTE  (+ v_0 v_0)
(cb==test (QUOTE x1) (QUOTE  a_a) T ) 
