(in-package "KEIM")

(setf cpcb*bcktrck-counter 0)

(setq k*env (env~create))
(post~read-object-list '((type-constants i)
			 (constants (a i) (b i) (c i) (d i)
			  (a0 i) (b0 i)
			  (a1 i) (b1 i)
			  (l (i i)))
			 (variables (x i) (y i) (z i) (w i)
			  (x1 i) (x2 i) (x3 i) (x4 i)
                          (x5 i) (x6 i) (x7 i) (x8 i))
		       (signatures (aci (f (i i i))) (aci (h (i i i)))
			  (ac (g (i i i))) (ac (k (i i i)))
			  (ac (m (i i i))) (aci (n (i i i)))))
		       k*env)

(defun cb==test (&rest args)
  (let* ((stream *standard-output*)
					;(*standard-output* my-stream)
	 )
    (format stream "~%~A: ~A   " (incf counter) args)
    (let ((result
	   (do* ((arg-tail args (rest (rest arg-tail)))
		 (term1 (term~copy (term~read (first arg-tail) k*env))
			(term~copy (term~read (first arg-tail) k*env)))
		 (term2 (term~copy (term~read (second arg-tail) k*env))
			(term~copy (term~read (second arg-tail) k*env)))
		 (tl1 (list term1) (cons term1 tl1))
		 (tl2 (list term2) (cons term2 tl2)))
		((null (rest (rest (rest arg-tail))))
		 (#+weg mcb~decide-unify
		  cpcb~decide-unify
		   #+weg icb~decide-unify
			tl1 tl2
		        ; (mapcar #'list tl1 tl2)
			))))
	  (wwert (first (last args))))
      (declare (special *standard-output*))
		  ;(get-output-stream-string my-stream)
      (cond ((eq (null result) (null wwert))
	     (format stream "OK"))
	    (t (format stream "*** must be ~A ***" wwert))))))

(setf counter 0)

(time (progn
#+weg (cb==test   '(g (f x a) (k a1 y))
            '(g (h (f x2 x3) b) z) NIL)
#+weg (cb==test   '(g (f (h x a) (m x1 x4)) (k a1 y))
            '(g (f x2 (n x3 b)) (n z w))  NIL)
#+weg (cb==test  '(f (h x a) (m x1 x4))
           '(f x2 (n x3 b))  NIL )
(cb==test '(g (f (h x a) (m x3 x4)) (k a1 y))
	  '(g (h x5 (f (n z b) x6)) (n x1 x2)) NIL)
))

(format t "~%Number of Backtrackings: ~A" cpcb*bcktrck-counter)
