
(defun tripel-create (element)
  (cons element (cons nil nil)))

(defmacro tripel-el (cell)
  `(car ,cell))

(defmacro tripel-back (cell)
  `(cadr ,cell))

(defmacro tripel-forward (cell)
  `(cddr ,cell))


(defun dlist (&rest args)
  (if (rest args)
      (let ((cell (tripel-create (first args)))
	    (rest-list (apply #'dlist (rest args))))
	(setf (tripel-back rest-list) cell
	      (tripel-forward cell) rest-list
	      (tripel-back cell) nil)
	cell)
      (tripel-create (first args))))
