
;;; ac==unify2
;;;
;;; Hilfsaufruf . Man muss dieser Funktion nur die Listen der Terme und der Konstanten
;;; restriktion in POST-Syntax uebergeben,sowie das entsprechende Environment und sie
;;; ruft dann ac~unify korrekt auf

 
(defun ac==unify2 (l1 l2 env &optional (restr NIL) (var_as_const NIL))
  (declare (edited  "28-JUN-1995")
	   (authors Neskakis)
	   (input   "2 lists of terms in POST-syntax,the environment,and optional"
		    "a list of constant-restrictions and a list of variables which"
		    "shall be used as constants")
	   (effect  "None")
	   (value   "the correct substitutions"))
  (let ((tl1 (ac=tl-read l1 env))
	(tl2 (ac=tl-read l2 env))
	(cr  (ac=cr-read restr env))
	(vac (ac=tl-read var_as_const env)))
    (ac~unify tl1 tl2 cr vac)))




;;; ac=tl-read
;;;
;;; Liest Termliste in POST-Syntax ein und gibt KEIMTerm-liste zurueck


(defun ac=tl-read (tl env)
  (declare (edited  "11-MAY-1995")
	   (authors Neskakis)
	   (input   "a list of terms in POST-syntax, an environment")
	   (effect  "None")
	   (value   "a list of KEIM-terms"))
 (mapcar #'(lambda(term) (term~read term env)) tl))


;;; ac=cr-read
;;;
;;; Liest Konstantenrestriktionen ein Bsp:((a x y) (b x y z) (c y))
;;; und gibt sie als KEIM-Liste zurueck


(defun ac=cr-read (cr env)
  (if (endp cr)
      NIL
      (if (atom (car cr))
          (cons (term~read (car cr) env) (ac=cr-read (cdr cr) env))
	  (cons (ac=tl-read (car cr) env) (ac=cr-read (cdr cr) env)))))

