(in-package "KEIM")

(defun cb~unifiers (result-list &optional (variables t))
  (declare (edited  "24-JUL-1995")
	   (authors Richts)
	   (input   "A list like it is returned by cb~unif and a list of variables (or T).")
	   (effect  "None.")
	   (value "A list of unifiers, computed from result-list and restricted"
		  "to VARIABLES (or not restricted if VARIABLES is T)."))
  (mapcan
   #'(lambda (ident-list)
       (mapcan
	#'(lambda (subst-pairs)
	    (mapcan
	     #'(lambda (subst1)
		 (mapcar #'(lambda (subst2)
			     (unwind-protect
				 (progn
				   ;(break)
				   (top~bind-terms! (subst~domain (first ident-list))
						    (subst~codomain (first ident-list)))
				   (top~bind-terms! (subst~domain subst1) (subst~codomain subst1))
				   (top~bind-terms! (subst~domain subst2) (subst~codomain subst2))
				   ;(break)
				   (let ((unif (subst~create-binding-substitution)))
				     (if (not (eq variables t))
					 (subst~restrict-substitution! unif variables)
				       unif)))
			       (top~unbind-binding-list!)))
			 (second subst-pairs)))
	     (first subst-pairs)))
	(rest ident-list)))
   result-list))
